BDU:2023-05392: Уязвимость библиотеки Fast DDS, связанная с ошибкой обработки исключений, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость библиотеки Fast DDS связана с ошибкой обработки исключений. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании
Вендор Сообщество свободного программного обеспечения
Наименование ПО Debian GNU/Linux, Fast DDS
Версия ПО 11 (Debian GNU/Linux), 12 (Debian GNU/Linux), от 2.9.0 до 2.9.2 (Fast DDS), от 2.10.0 до 2.10.2 (Fast DDS), от 2.6.0 до 2.6.5 (Fast DDS)
Тип ПО Операционная система, Сетевое средство, Прикладное ПО информационных систем, Сетевое программное средство
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Debian GNU/Linux 11 Не указана
  • Сообщество свободного программного обеспечения Debian GNU/Linux 12 Не указана
Тип ошибки Не перехваченное исключение
Идентификатор типа ошибки CWE-248
Класс уязвимости Уязвимость кода
Дата выявления 11.08.2023
Базовый вектор уязвимости
  • CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
  • CVSS 3.0: AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8) Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Fast DDS:
https://github.com/eProsima/Fast-DDS/security/advisories/GHSA-2rq6-8j7x-frr9
https://github.com/eProsima/Fast-DDS/issues/3422
https://github.com/eProsima/Fast-DDS/commit/d3db7244df4081ae630dea98b7b27eb96245d562

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2023-39945
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование ресурсами
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются